# fn() createInvSuffixArray
Creates the inverse suffix array from a given suffix array.

Defined in | <seqan/index.h>
Signature | `void createInvSuffixArray(invSuffixArray, suffixArray);`

## Parameters

`invSuffixArray` | The resulting inverse suffix array.
`suffixArray` | The precomputed suffix array for some text.

## Detailed Description

This function should not be called directly. Please use indexCreate or indexRequire. The size of `invSuffixArray` must be at least `length(suffixArray)` before calling this function.

The complexity is linear in size of the suffix array.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn createInvSuffixArray
     *
     * @headerfile <seqan/index.h>
     *
     * @brief Creates the inverse suffix array from a given suffix array.
     *
     * @signature void createInvSuffixArray(invSuffixArray, suffixArray);
     *
     * @param[out] invSuffixArray The resulting inverse suffix array.
     * @param[in] suffixArray The precomputed suffix array for some text.
     *
     * This function should not be called directly. Please use @link
     * Index#indexCreate @endlink or @link Index#indexRequire @endlink. The size of
     * <tt>invSuffixArray</tt> must be at least <tt>length(suffixArray)</tt> before
     * calling this function.
     *
     * The complexity is linear in size of the suffix array.
     */